<?php
/*
########################
Тут проверка на новость
и проверка на Админа.
########################
*/
if ($level <= 2) {
  die('У вас нет прав доступа');
}

if (isset($ID)) {
  $news = $sql -> fetch("SELECT * FROM `news` WHERE `id` = '$ID' LIMIT 1");
}


$system['title'] = '&laquo;' . __('Создать Новость в VK') . ' - ' . text($news['name']) . '&raquo;';
require SYS . 'header.php';

/*
########################
Тут работа по API
по добавление 
Сообщение в Группу VK.Com
########################
*/
?>

<meta charset="uft-8">

<script src="//vk.com/js/api/openapi.js" type="text/javascript"></script>



<div id="login_button" onclick="VK.Auth.login(authInfo);"></div>



<script language="javascript">

VK.init({

  apiId: 5509673

});

function authInfo(response) {

  if (response.session) {

    <?/*alert('user: '+response.session.mid);*/?>

  } else {

    alert('not auth');

  }

}

VK.Auth.getLoginStatus(authInfo);

VK.UI.button('login_button');



function is_submit() {

	send_message = document.getElementById('message').value;

	VK.Api.call('wall.post', {owner_id: -85263517, from_group: 1, message: send_message, signed: 1}, function(r){

	if(r.response){

		alert('Запись опубликована. ID: ' + r.response.post_id);

	}else{

		alert('Ошибка');

	}

});

}
</script>

<div class="controls">
<textarea id="message" style="width: 75%;">
<?= __('Новость')?>: <?= text($news['name'])?> 
<?= __('Описание')?>: <?= $news['msg']?> 
<?= __('Ссылка на Новость')?>: http://4i4i.ru/?func=news.comments&id=<?= $news['id']?> 
<?= __('Хеш Теги')?>: #4i4i , #Скрипты , #дизайны , #dcms , #Магазин , #модули , #сайт, #купить , #продать
</textarea><br>
</div>

<button id="submit" onclick="is_submit()">Отправить запись</button>